#
# Author:: Frédéric Nowak (<frederic.nowak@alphard.io>)
# Cookbook Name:: alphard-aws
# Attribute:: default
#
# Copyright 2011, Hydra Technologies, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

default['alphard']['aws']['user'] = 'root'
default['alphard']['aws']['group'] = 'root'
#default['alphard']['aws']['access_key'] = '<your_access_key>'
#default['alphard']['aws']['secret_key'] = '<your_secret_key>'
default['alphard']['aws']['region'] = 'us-west-1'
default['alphard']['aws']['output'] = 'json'
default['alphard']['aws']['verbose'] = false

# awscli
default['alphard']['aws']['awscli']['version'] = '1.10.32'

# gem
default['alphard']['aws']['sdk']['version'] = '2.3.8'

# cloudformation
default['alphard']['aws']['cloudformation']['delete_buckets_on_create'] = false
default['alphard']['aws']['cloudformation']['stacks']['default']['template'] = 'cloudformation/default-stack.template.erb'