define :ec2_tag, :tags => {}, :access_key => nil, :secret_key => nil, :region => nil do

  # Defines variables
  resources =  params[:name]
  tags = params[:tags]
  json_tags = '[' + (tags.collect { |key, value| "{\"Key\":\"#{key}\",\"Value\":\"#{value}\"}" }).join(',') + ']'
  access_key = params['access_key']
  unless access_key
    access_key = node['alphard']['aws']['cloudformation']['access_key']
  end
  secret_key = params['secret_key']
  unless secret_key
    secret_key = node['alphard']['aws']['cloudformation']['secret_key']
  end
  region = params['region']
  unless region
    region = node['alphard']['aws']['cloudformation']['region']
  end

  # Creates tags
  aws "ec2 create-tags --resources #{resources} --tags '#{json_tags}'" do
    access_key access_key
    secret_key secret_key
    region region
  end

end
