define :elb_register, :instances => '', :access_key => nil, :secret_key => nil, :region => nil do

  # Defines variables
  name =  params[:name]
  instances = params[:instances]
  access_key = params['access_key']
  unless access_key
    access_key = node['alphard']['aws']['cloudformation']['access_key']
  end
  secret_key = params['secret_key']
  unless secret_key
    secret_key = node['alphard']['aws']['cloudformation']['secret_key']
  end
  region = params['region']
  unless region
    region = node['alphard']['aws']['cloudformation']['region']
  end

  # De-registers and registers instance to elb
  aws "elb deregister-instances-from-load-balancer --load-balancer-name #{name} --instances #{instances}" do
    access_key access_key
    secret_key secret_key
    region region
    ignore_failure true
  end
  aws "elb register-instances-with-load-balancer --load-balancer-name #{name} --instances #{instances}" do
    access_key access_key
    secret_key secret_key
    region region
  end

end
