#
# Author:: Frédéric Nowak (<frederic.nowak@alphard.io>)
# Cookbook Name:: alphard-aws
# recipe:: awscli
#
# Copyright 2011, Hydra Technologies, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

gem_package 'colorize'

include_recipe 'poise-python'

# TODO: Should not be required but the dependency is missing when awscli is installed without
python_package 'six' do
  action :install
end

python_package 'awscli' do
  action :upgrade
  version node['alphard']['aws']['awscli']['version']
end